/* ---------------------------------------------------------------------- */
/*	GLOBAL
/* ---------------------------------------------------------------------- */
:root {
	--fontColor: #A8796F !important;
	--bgColor: #2F433A !important;
	--borderRadius: 10px;
}

body {
	font-family: "Montserrat", sans-serif;
	font-size: 14px;
	color: var(--fontColor) !important;
	background: var(--bgColor);
	font-weight: 500;
}

img {
	max-width: 100% !important;
}

#btnTop {
	position: fixed;
	bottom: 20px;
	right: 20px;
	z-index: 99;
	font-size: 18px;
	border: none;
	outline: none;
	background-color: var(--fontColor);
	color: white;
	cursor: pointer;
	padding: 8px 16px;
	border-radius: 50%;
	display: none;
	/* escondido por padrão */
	transition: background 0.3s;
}

#btnTop:hover {
	background-color: #555;
}

/* ---------------------------------------------------------------------- */
/*	desktop
/* ---------------------------------------------------------------------- */
@media (min-width: 991px) {

	body {
		position: relative;
	}

	header .logo {
		display: flex;
		justify-content: center;
		align-items: center;
		text-align: center;
		padding: 20px;
		min-height: 300px;
	}

	.carousel {
		margin-top: 50px;
	}

	.carousel img {
		-webkit-box-shadow: inset 0px 0px 15px 5px rgba(0, 0, 0, 0.2);
		-moz-box-shadow: inset 0px 0px 15px 5px rgba(0, 0, 0, 0.2);
		box-shadow: inset 0px 0px 15px 5px rgba(0, 0, 0, 0.2);
	}

	.servicos {
		margin-top: 100px;
		font-size: 16px;
		line-height: 30px;
		text-align: center;
	}

	.servicos h2 {
		margin-bottom: 40px;
		font-size: 30px;
	}

	.servicos .t {
		font-size: 17px;
		line-height: 30px;
	}

	.orcamento {
		padding: 80px;
		text-align: center;
	}

	.orcamento a {
		background: var(--fontColor);
		color: var(--bgColor);
		text-decoration: none;
		font-weight: 600;
	}

	.redes {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 20px;
	}

	.redes a {
		color: var(--fontColor);
		text-decoration: none;
		font-size: 20px;
	}

	footer {
		margin-top: 80px;
		padding-bottom: 20px;
		text-align: center;
	}

	footer a {
		color: var(--fontColor);
		text-decoration: none;
	}

}

/* ---------------------------------------------------------------------- */
/*	tablet
/* ---------------------------------------------------------------------- */
@media (min-width: 768px) and (max-width: 990px) {

	body {
		position: relative;
	}

	header .logo {
		display: flex;
		justify-content: center;
		align-items: center;
		text-align: center;
		padding: 20px;
		min-height: 300px;
	}

	.carousel {
		margin-top: 50px;
	}

	.carousel img {
		-webkit-box-shadow: inset 0px 0px 15px 5px rgba(0, 0, 0, 0.2);
		-moz-box-shadow: inset 0px 0px 15px 5px rgba(0, 0, 0, 0.2);
		box-shadow: inset 0px 0px 15px 5px rgba(0, 0, 0, 0.2);
	}

	.servicos {
		margin-top: 100px;
		font-size: 16px;
		line-height: 30px;
		text-align: center;
	}

	.servicos h2 {
		margin-bottom: 40px;
		font-size: 30px;
	}

	.servicos .t {
		font-size: 17px;
		line-height: 30px;
	}

	.orcamento {
		padding: 80px;
		text-align: center;
	}

	.orcamento a {
		background: var(--fontColor);
		color: var(--bgColor);
		text-decoration: none;
		font-weight: 600;
	}

	.redes {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 20px;
	}

	.redes a {
		color: var(--fontColor);
		text-decoration: none;
		font-size: 20px;
	}

	footer {
		margin-top: 80px;
		padding-bottom: 20px;
		text-align: center;
	}

	footer a {
		color: var(--fontColor);
		text-decoration: none;
	}

	footer span {
		display: none;
	}
}

/* ---------------------------------------------------------------------- */
/*	mobile
/* ---------------------------------------------------------------------- */
@media (max-width: 767px) {

	body {
		position: relative;
	}

	header .logo {
		display: flex;
		justify-content: center;
		align-items: center;
		text-align: center;
		padding: 20px;
		min-height: 300px;
	}

	.carousel {
		margin-top: 50px;
	}

	.carousel img {
		-webkit-box-shadow: inset 0px 0px 15px 5px rgba(0, 0, 0, 0.2);
		-moz-box-shadow: inset 0px 0px 15px 5px rgba(0, 0, 0, 0.2);
		box-shadow: inset 0px 0px 15px 5px rgba(0, 0, 0, 0.2);
	}

	.servicos {
		margin-top: 100px;
		font-size: 16px;
		line-height: 30px;
		text-align: center;
	}

	.servicos h2 {
		margin-bottom: 40px;
		font-size: 30px;
	}

	.servicos .t {
		font-size: 17px;
		line-height: 30px;
	}

	.orcamento {
		padding: 80px;
		text-align: center;
	}

	.orcamento a {
		background: var(--fontColor);
		color: var(--bgColor);
		text-decoration: none;
		font-weight: 600;
	}

	.redes {
		display: flex;
		justify-content: center;
		align-items: center;
		gap: 20px;
	}

	.redes a {
		color: var(--fontColor);
		text-decoration: none;
		font-size: 20px;
	}

	footer {
		margin-top: 80px;
		padding-bottom: 20px;
		text-align: center;
	}

	footer a {
		color: var(--fontColor);
		text-decoration: none;
	}

	footer span {
		display: none;
	}
}